Skip to main content
GET
/
api
/
v1
/
admin
/
stats
/
agents
Aggregate `agent_runs` over a time window.
curl --request GET \
  --url https://api.backside.app/api/v1/admin/stats/agents \
  --header 'Authorization: Bearer <token>'
{
  "by_blueprint": [
    {
      "blueprint": "<string>",
      "failed": 123,
      "runs": 123,
      "succeeded": 123,
      "avg_cost_cents": 123,
      "avg_duration_secs": 123
    }
  ],
  "by_status": {
    "cancelled": 123,
    "failed": 123,
    "queued": 123,
    "running": 123,
    "succeeded": 123,
    "waiting": 123
  },
  "failure_categories": [
    {
      "category": "<string>",
      "count": 123
    }
  ],
  "total_cost_cents": 123,
  "total_runs": 123,
  "window": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

window
string

24h / 7d / 30d (default 24h)

Response

Aggregate agent run stats

by_blueprint
object[]
required
by_status
object
required
failure_categories
object[]
required
total_cost_cents
integer<int64>
required
total_runs
integer<int64>
required
window
string
required